# Class UrlConfigGui

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
org.apache.jmeter.protocol.http.config.gui.UrlConfigGui

All Implemented Interfaces:
  `ImageObserver, MenuContainer, Serializable, EventListener, Accessible, ChangeListener`

Direct Known Subclasses:
  `MultipartUrlConfigGui`

public class UrlConfigGui extends JPanel implements ChangeListener
Basic URL / HTTP Request configuration:

- host and port
- connect and response timeouts
- path, method, encoding, parameters
- redirects and keepalive

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class JPanel

`JPanel.AccessibleJPanel`

### Nested classes/interfaces inherited from class JComponent

`JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields inherited from class JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`UrlConfigGui()`
Constructor which is setup to show HTTP implementation, raw body pane and sampler fields.
`UrlConfigGui(boolean showSamplerFields)`
Constructor which is setup to show HTTP implementation and raw body pane.
`UrlConfigGui(boolean showSamplerFields, boolean showImplementation, boolean showRawBodyPane)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`configure(TestElement el)`
Set the text, etc. in the UI.
`TestElement`
`createTestElement()`
`protected JTabbedPane`
`getParameterPanel()`
`protected Component`
`getPathPanel()`
This method defines the Panel for the HTTP path, 'Follow Redirects' 'Use KeepAlive', and 'Use multipart for HTTP POST' elements.
`protected JPanel`
`getProtocolAndMethodPanel()`
`protected final JPanel`
`getProxyServerPanel()`
Create a panel containing the proxy server details
`protected final JPanel`
`getWebServerTimeoutPanel()`
Create a panel containing the webserver (domain+port) and timeouts (connect+request).
`void`
`modifyTestElement(TestElement element)`
Save the GUI values in the sampler.
`void`
`stateChanged(ChangeEvent e)`

### Methods inherited from class JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UrlConfigGui

public UrlConfigGui()
Constructor which is setup to show HTTP implementation, raw body pane and sampler fields.

### UrlConfigGui

public UrlConfigGui(boolean showSamplerFields)
Constructor which is setup to show HTTP implementation and raw body pane.

Parameters:
  `showSamplerFields` - flag whether sampler fields should be shown.

### UrlConfigGui

public UrlConfigGui(boolean showSamplerFields, boolean showImplementation, boolean showRawBodyPane)

Parameters:
  `showSamplerFields` - flag whether sampler fields should be shown
  `showImplementation` - Show HTTP Implementation
  `showRawBodyPane` - flag whether the raw body pane should be shown

## Method Details

### clear

public void clear()

### createTestElement

public TestElement createTestElement()

### modifyTestElement

public void modifyTestElement(TestElement element)
Save the GUI values in the sampler.

Parameters:
  `element` - `TestElement` to modify

### configure

public void configure(TestElement el)
Set the text, etc. in the UI.

Parameters:
  `el` - contains the data to be displayed

### getWebServerTimeoutPanel

protected final JPanel getWebServerTimeoutPanel()
Create a panel containing the webserver (domain+port) and timeouts (connect+request).

Returns:
  the panel

### getProxyServerPanel

protected final JPanel getProxyServerPanel()
Create a panel containing the proxy server details

Returns:
  the panel

### getPathPanel

protected Component getPathPanel()
This method defines the Panel for the HTTP path, 'Follow Redirects' 'Use KeepAlive', and 'Use multipart for HTTP POST' elements.

Returns:
  JPanel The Panel for the path, 'Follow Redirects' and 'Use KeepAlive' elements.

### getProtocolAndMethodPanel

protected JPanel getProtocolAndMethodPanel()

### getParameterPanel

protected JTabbedPane getParameterPanel()

### stateChanged

public void stateChanged(ChangeEvent e)

Specified by:
  `stateChanged` in interface `ChangeListener`